Could not find com.google.android.gms:play-services-base:8.3.0

Hello, this bunch or errors i see just after react-native run-android. I am new to react-native, so not sure whether I missed something or this is bug.

Should I define something in build.gradle? I ‘ve tried to install Google Play Services in Android SDK. And provided compile "com.google.android.gms:play-services-base:8.3.0", unfortunately it still fails.
So what did I miss?

> A problem occurred configuring project ':react-native-maps'.
   > Could not resolve all dependencies for configuration ':react-native-maps:_debugCompile'.
      > Could not find com.google.android.gms:play-services-base:8.3.0.
        Searched in the following locations:
            file:/home/fly/.m2/repository/com/google/android/gms/play-services-base/8.3.0/play-services-base-8.3.0.pom
            file:/home/fly/.m2/repository/com/google/android/gms/play-services-base/8.3.0/play-services-base-8.3.0.jar
            https://jcenter.bintray.com/com/google/android/gms/play-services-base/8.3.0/play-services-base-8.3.0.pom
            https://jcenter.bintray.com/com/google/android/gms/play-services-base/8.3.0/play-services-base-8.3.0.jar
            file:/home/fly/third_party_software/android-sdk-linux/extras/android/m2repository/com/google/android/gms/play-services-base/8.3.0/play-services-base-8.3.0.pom
            file:/home/fly/third_party_software/android-sdk-linux/extras/android/m2repository/com/google/android/gms/play-services-base/8.3.0/play-services-base-8.3.0.jar
        Required by:
            time24_mobile:react-native-maps:unspecified
      > Could not find com.google.android.gms:play-services-maps:8.3.0.
        Searched in the following locations:
            file:/home/fly/.m2/repository/com/google/android/gms/play-services-maps/8.3.0/play-services-maps-8.3.0.pom
            file:/home/fly/.m2/repository/com/google/android/gms/play-services-maps/8.3.0/play-services-maps-8.3.0.jar
            https://jcenter.bintray.com/com/google/android/gms/play-services-maps/8.3.0/play-services-maps-8.3.0.pom
            https://jcenter.bintray.com/com/google/android/gms/play-services-maps/8.3.0/play-services-maps-8.3.0.jar
            file:/home/fly/third_party_software/android-sdk-linux/extras/android/m2repository/com/google/android/gms/play-services-maps/8.3.0/play-services-maps-8.3.0.pom
            file:/home/fly/third_party_software/android-sdk-linux/extras/android/m2repository/com/google/android/gms/play-services-maps/8.3.0/play-services-maps-8.3.0.jar
        Required by:
            time24_mobile:react-native-maps:unspecified

PS: Thanks for your work, long live open source

2 thoughts on “Could not find com.google.android.gms:play-services-base:8.3.0

  1. @Flyr1Q I ran into the same issue. Check that you also have “Google Repository” installed under Extras in your Android SDK Manager. Installing that added the missing “play-services-base” and “play-services-maps” libs that were breaking my compile.

  2. I also ran into this issue when first installing, the Google Repository addition fixed it int he Android SDK manager, I lost enough time on this, IMO it be added to the installation docs.

Comments are closed.